import { OnInit, OnChanges, EventEmitter, ApplicationRef, ElementRef, ChangeDetectorRef, ViewContainerRef, SimpleChanges, ComponentFactoryResolver, Injector } from '@angular/core';
import { FontInterface } from './font-picker.interfaces';
import { FontPickerService } from './font-picker.service';
import * as i0 from "@angular/core";
export declare class FontPickerDirective implements OnInit, OnChanges {
    private injector;
    private resolver;
    private appRef;
    private vcRef;
    private elRef;
    private cdRef;
    private service;
    private dialog;
    fontPicker: FontInterface;
    fpWidth: string;
    fpHeight: string;
    fpFallbackFont: FontInterface;
    fpAutoLoad: boolean;
    fpPresetLabel: string;
    fpPresetFonts: string[];
    fpPresetNotice: string;
    fpSizeSelect: boolean;
    fpStyleSelect: boolean;
    fpDialogDisplay: string;
    fpUseRootViewContainer: boolean;
    fpPosition: string;
    fpPositionOffset: string;
    fpPositionRelativeToArrow: boolean;
    fpSearchText: string;
    fpLoadingText: string;
    fpPopularLabel: string;
    fpResultsLabel: string;
    fpCancelButton: boolean;
    fpCancelButtonText: string;
    fpCancelButtonClass: string;
    fpUploadButton: boolean;
    fpUploadButtonText: string;
    fpUploadButtonClass: string;
    fpFilterByFamilies: string[];
    fpSortByFamilies: boolean;
    fontPickerUpload: EventEmitter<void>;
    fontPickerChange: EventEmitter<FontInterface>;
    onClick(): void;
    constructor(injector: Injector, resolver: ComponentFactoryResolver, appRef: ApplicationRef, vcRef: ViewContainerRef, elRef: ElementRef, cdRef: ChangeDetectorRef, service: FontPickerService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    loadFont(font: FontInterface): void;
    uploadFont(): void;
    openDialog(): void;
    closeDialog(): void;
    toggleDialog(): void;
    fontChanged(font: FontInterface): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FontPickerDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FontPickerDirective, "[fontPicker]", ["ngxFontPicker"], { "fontPicker": { "alias": "fontPicker"; "required": false; }; "fpWidth": { "alias": "fpWidth"; "required": false; }; "fpHeight": { "alias": "fpHeight"; "required": false; }; "fpFallbackFont": { "alias": "fpFallbackFont"; "required": false; }; "fpAutoLoad": { "alias": "fpAutoLoad"; "required": false; }; "fpPresetLabel": { "alias": "fpPresetLabel"; "required": false; }; "fpPresetFonts": { "alias": "fpPresetFonts"; "required": false; }; "fpPresetNotice": { "alias": "fpPresetNotice"; "required": false; }; "fpSizeSelect": { "alias": "fpSizeSelect"; "required": false; }; "fpStyleSelect": { "alias": "fpStyleSelect"; "required": false; }; "fpDialogDisplay": { "alias": "fpDialogDisplay"; "required": false; }; "fpUseRootViewContainer": { "alias": "fpUseRootViewContainer"; "required": false; }; "fpPosition": { "alias": "fpPosition"; "required": false; }; "fpPositionOffset": { "alias": "fpPositionOffset"; "required": false; }; "fpPositionRelativeToArrow": { "alias": "fpPositionRelativeToArrow"; "required": false; }; "fpSearchText": { "alias": "fpSearchText"; "required": false; }; "fpLoadingText": { "alias": "fpLoadingText"; "required": false; }; "fpPopularLabel": { "alias": "fpPopularLabel"; "required": false; }; "fpResultsLabel": { "alias": "fpResultsLabel"; "required": false; }; "fpCancelButton": { "alias": "fpCancelButton"; "required": false; }; "fpCancelButtonText": { "alias": "fpCancelButtonText"; "required": false; }; "fpCancelButtonClass": { "alias": "fpCancelButtonClass"; "required": false; }; "fpUploadButton": { "alias": "fpUploadButton"; "required": false; }; "fpUploadButtonText": { "alias": "fpUploadButtonText"; "required": false; }; "fpUploadButtonClass": { "alias": "fpUploadButtonClass"; "required": false; }; "fpFilterByFamilies": { "alias": "fpFilterByFamilies"; "required": false; }; "fpSortByFamilies": { "alias": "fpSortByFamilies"; "required": false; }; }, { "fontPickerUpload": "fontPickerUpload"; "fontPickerChange": "fontPickerChange"; }, never, never, true, never>;
}
